import type HasActionAlertData from "../Interfaces/HasActionAlertData";
import type HasActionModalData from "../Interfaces/HasActionModalData";
/**
 * Actions.
 *
 * @since 1.0.0
 */
export default class Actions {
    private actions;
    /**
     * Constructor.
     *
     * @param form Form instance.
     * @param actionsData Actions data.
     *
     * @since 1.0.0
     */
    constructor(actionsData: HasActionAlertData[] | HasActionModalData[]);
    /**
     * Run all actions.
     *
     * @since 1.0.0
     */
    run(): void;
}
