import type HasActionModalData from "../Interfaces/HasActionModalData";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionModal {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    private actionData;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param actionData Action data.
    *
    * @since 1.0.0
    */
    constructor(actionData: HasActionModalData);
    /**
     * Run action.
     *
     * @since 1.0.0
     */
    run(): void;
}
