import type HasActionData from "./HasFormStateData";
import type HasFieldsetData from "./HasFieldsetData";
import type HasTriggerData from "./HasTriggerData";
/**
 * Form data interface.
 *
 * @since 1.0.0
 */
export default interface HasFormData {
    id: string;
    classes: string[];
    start: string;
    fieldsets: HasFieldsetData[];
    actions: HasActionData[];
    triggers: HasTriggerData[];
}
